Bug 472941 - Crashes when doing unsetenv() with empty env
Crashes when doing unsetenv() with empty env
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-25 13:34 EST by Bastien Nocera
Modified: 2008-12-09 23:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-09 23:37:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2008-11-25 13:34:42 EST
glibc-2.9-2.x86_64

This crashes inside the glibc:
#include <stdlib.h>

int main (int argc, char **argv)
{
      clearenv ();
      unsetenv("FOO");
      return 0;
}

==14998== Invalid read of size 4
==14998==    at 0xB3A53F: unsetenv (setenv.c:295)
==14998==    by 0x4008326: unsetenv (mc_replace_strmem.c:760)
==14998==    by 0x8048415: main (env.c:6)
==14998==  Address 0x0 is not stack'd, malloc'd or (recently) free'd
Comment 1 Ulrich Drepper 2008-12-01 20:41:21 EST
Patch checked in upstream.
Comment 2 Jakub Jelinek 2008-12-08 09:52:42 EST
Please try http://kojipkgs.fedoraproject.org/packages/glibc/2.9/3/
Comment 3 Fedora Update System 2008-12-08 15:34:53 EST
glibc-2.9-3 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/glibc-2.9-3
Comment 4 Fedora Update System 2008-12-09 23:36:55 EST
glibc-2.9-3 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.